unit USperren;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Eingabe: TEdit;
    Start: TButton;
    Ende: TButton;
    Loeschen: TButton;
    Label1: TLabel;
    Ausgabe: TListBox;
    procedure StartClick(Sender: TObject);
    procedure EndeClick(Sender: TObject);
    procedure LoeschenClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.StartClick(Sender: TObject);
var i,laenge:Integer;
    s,zeile:String;
begin
 s:=Eingabe.Text;
 Ausgabe.Items.Add(s);
 laenge := length(s);
 zeile:='';
 for i:=1 to laenge do
    begin;
    zeile:=zeile + copy(s,i,1) + ' ';
    Ausgabe.Items.Add(zeile);
    end;
end;

procedure TForm1.EndeClick(Sender: TObject);
begin
   close;
end;

procedure TForm1.LoeschenClick(Sender: TObject);
begin
   Eingabe.text:='';
   Eingabe.setfocus;
   Ausgabe.clear;
end;

end.
